> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usemoonshine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Index

> Creates a new media index/group with the specified details



## OpenAPI

````yaml GET /create-index
openapi: 3.0.1
info:
  title: Moonshine API
  description: Video Understanding API
  version: 1.0.0
servers:
  - url: https://api.usemoonshine.com
security: []
paths:
  /create-index:
    get:
      description: Creates a new media index/group with the specified details
      parameters:
        - name: token
          in: query
          description: Use authentication token
          required: true
          schema:
            type: string
        - name: index
          in: query
          description: Name of the new media index
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Index creation response
          content:
            application/json:
              schema:
                type: object
                oneOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - success
                  - type: object
                    properties:
                      error:
                        type: string
                        description: Error message when status is error
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string

````